## mozplugger 1.6.0

=== Makefile ===
# Where is your Xwindows located?
X11=/usr/X11R6

#
# For building rpms
root=

#
# For installing
prefix=/usr

#
#
RPMDIR=/usr/src/RPM

# Choose compiler
CC=gcc
LD=gcc
BINFORMAT=bin

any:
	@echo 'Choose target:'
	@echo '   ${MAKE} linux        - for Linux'
	@echo '   ${MAKE} solaris-gcc  - for Solaris with gcc'
	@echo '   ${MAKE} solaris-cc   - for Solaris with cc'
	@echo '   ${MAKE} du           - for Digital/Compac Unix or OSF1'
	@echo '   ${MAKE} freebsd-aout - for FreeBSD with a.out netscape'
	@echo '   ${MAKE} hp-gcc       - for HP-UX with gcc'
	@echo '   ${MAKE} hp-cc        - for HP-UX with cc'
	@echo '   ${MAKE} irix         - for Irix'
	@echo '   ${MAKE} aix          - for AIX >= 4.2'
	@echo '   ${MAKE} freebsd      - for FreeBSD 4.x'
	@echo '   ${MAKE} openbsd      - for OpenBSD'

irix:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'

aix:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-G -bexpall'

hp-gcc:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-b X11=/usr/include/X11R6

hp-cc:
	${MAKE} all CC=cc XCFLAGS='+DAportable -Ae +z' LD=ld XLDFLAGS='-b +e NP_GetValue +e NP_Initialize +e NP_Shutdown +e NP_GetMIMEDescription' RPM_OPT_FLAGS=+O2 NORM_CFLAGS="" X11=/usr/include/X11R6

linux:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=gcc XLDFLAGS=-shared

solaris-gcc:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-G XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/

solaris-cc:
	${MAKE} all CC=cc LD=ld XLDFLAGS=-G  XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/

du:
	${MAKE} all CC=cc LD=ld XLDFLAGS='-expect_unresolved "*" -shared -msym -O3'

freebsd-aout:
	${MAKE} all CC=gcc XCFLAGS='-fPIC -aout' LD=gcc XLDFLAGS='-shared -aout'

freebsd:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=gcc XLDFLAGS=-shared X11=/usr/X11R6/

openbsd:
	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=gcc XLDFLAGS=-shared X11=/usr/X11R6/

auto:
	@case "x`uname`" in \
	  xLinux) ${MAKE} linux ;; \
	  xSunOS) ${MAKE} solaris ;; \
	  xHP-UX) ${MAKE} hp-gcc ;; \
	  xOSF1) ${MAKE} du ;; \
	  xIRIX) ${MAKE} irix ;; \
	  xAIX) ${MAKE} aix ;; \
	  xFreeBSD) ${MAKE} freebsd ;; \
	  xOpenBSD) ${MAKE} openbsd ;; \
	esac

# For other systems, look at the example Makefiles in the
# PluginSDK30b5/examples/UnixTemplate/Unix directory

#
# No user servicable parts beyond this point
# 

VERSION=1.6.0

BASE_FILES=Makefile mozplugger.7.bz2 README COPYING mozpluggerrc
SOURCE_FILES=mozplugger.c mozplugger-common.c mozplugger-helper.c mozplugger.spec.in \
	     mozplugger-common.c mozplugger.h README.in
BIN_FILES=mozplugger.so mozplugger-helper

DEFINES=$(STREAM) -DVERSION=\"$(VERSION)\" -Wall #-DDEBUG #-D__amd64__
RPM_OPT_FLAGS=-O2
COMMON_CFLAGS=$(RPM_OPT_FLAGS) -Inpapi/include -I$(X11)/include -DXP_UNIX $(DEFINES)
COMMON_LDFLAGS=
NORM_CFLAGS=
NORM_LDFLAGS=
XCFLAGS=-shared
XLDFLAGS=-shared
XLIBDIR = $(X11)/lib
XLIBS=-lX11 -L$(XLIBDIR)

LDSHARED=$(LD) $(XLDFLAGS)
CFLAGS = $(COMMON_CFLAGS) $(NORM_CFLAGS)
LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
SHARED_CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)

all: mozplugger.so mozplugger-helper mozplugger-controller

mozplugger-helper: mozplugger-helper.o mozplugger-common.o
	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS)

mozplugger-helper.o: mozplugger.h

mozplugger.so: mozplugger.o stub.o mozplugger-common.o
	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o

mozplugger-common.o: mozplugger-common.c mozplugger.h
	$(CC) -c $(SHARED_CFLAGS) -o mozplugger-common.o mozplugger-common.c

mozplugger.o: mozplugger.c mozplugger.h
	$(CC) -c $(SHARED_CFLAGS) -o mozplugger.o mozplugger.c

stub.o: npapi/common/npunix.c
	$(CC) -c $(SHARED_CFLAGS) -o stub.o npapi/common/npunix.c

mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS)

clean:
	-rm -f *.o npapi/common/*.o
	-rm -f mozplugger-helper mozplugger-controller mozplugger.so

spotless: clean
	-rm *.so *~ core mozplugger
	-rm -rf rpmtmp

localinstall:
	-@mkdir $$HOME/.mozilla/plugins 1>/dev/null 2>&1 || :
	cp mozplugger.so $$HOME/.mozilla/plugins/
	cp mozplugger-helper $$HOME/.mozilla/
	cp mozplugger-controller $$HOME/.mozilla/
	if [ ! $$HOME/.mozilla/mozpluggerrc ]; then cp mozpluggerrc $$HOME/.mozilla/mozpluggerrc ; fi

localinstall_opera:
	-@mkdir $$HOME/.opera/plugins 1>/dev/null 2>&1 || :
	cp mozplugger.so $$HOME/.opera/plugins/
	cp mozplugger-helper  $$HOME/.opera/
	cp mozplugger-controller $$HOME/.opera/
	if [ ! $$HOME/.opera/mozpluggerrc-$(VERSION) ]; then cp mozpluggerrc $$HOME/.opera/mozpluggerrc-$(VERSION) ; fi

install:
	-@mkdir -p $(root)$(prefix)/bin
	-@mkdir -p $(root)$(prefix)/lib/mozilla/plugins
	-@mkdir -p $(root)$(prefix)/share/man/man7
	-@mkdir -p $(root)/etc
	cp mozplugger-helper $(root)$(prefix)/bin/
	cp mozplugger-controller $(root)$(prefix)/bin/
	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
	cp mozpluggerrc $(root)/etc/
	cp mozplugger.7.bz2 $(root)$(prefix)/share/man/man7/

mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
	@( DIR=`pwd`;\
          BASE=`basename $$DIR`;\
	  cd .. ; \
	  if [ "$$BASE" != "mozplugger" ]; then \
	    ln -s "$$BASE" mozplugger ; \
          fi ;\
	  tar cf - `for a in $(BASE_FILES) $(SOURCE_FILES); do echo mozplugger/$$a ; done` | gzip -9 >mozplugger/mozplugger.tar.gz  ;\
          if [ "$$BASE" != "mozplugger" ]; then \
	    rm mozplugger ; \
          fi ;\
	)

export: mozplugger.tar.gz

bin_export: mozplugger-$(BINFORMAT).tar.gz

echo_version:
	@echo $(VERSION)

mozplugger.spec: mozplugger.spec.in Makefile
	sed <mozplugger.spec.in >mozplugger.spec -e 's/@VERSION@/$(VERSION)/g'

README: README.in Makefile
	sed <README.in >README -e 's/@VERSION@/$(VERSION)/g'

rpm: $(RPMDIR)/SOURCES/mozplugger.tar.gz ./mozplugger.spec
	rm -rf rpmtmp ||:
	mkdir rpmtmp
	mkdir rpmtmp/usr
	mkdir rpmtmp/etc
	mkdir rpmtmp/opt
	mkdir rpmtmp/usr/local
	rpm -ba --buildroot `pwd`/rpmtmp mozplugger.spec
	cp $(RPMDIR)/SRPMS/mozplugger-1.src.rpm .
	cp $(RPMDIR)/RPMS/*/mozplugger-1.*.rpm .
	rm -rf rpmtmp

$(RPMDIR)/SOURCES/mozplugger.tar.gz: mozplugger.tar.gz
	cp mozplugger.tar.gz $(RPMDIR)/SOURCES/mozplugger.tar.gz

mozplugger-$(BINFORMAT).tar.gz: $(BASE_FILES) $(SOURCE_FILES) $(BIN_FILES)
	@( DIR=`pwd`;\
          BASE=`basename $$DIR`;\
	  cd .. ; \
	  if [ "$$BASE" != "mozplugger" ]; then \
	    ln -s "$$BASE" mozplugger ; \
          fi ;\
	  tar cf - `for a in $(BASE_FILES) $(BIN_FILES); do echo mozplugger/$$a ; done` | gzip -9 >mozplugger/mozplugger-$(BINFORMAT).tar.gz  ;\
          if [ "$$BASE" != "mozplugger" ]; then \
	    rm mozplugger ; \
          fi ;\
	)

## mozplugger 1.7.1

=== Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.6.0
+VERSION=1.7.1
 
 BASE_FILES=Makefile mozplugger.7.bz2 README COPYING mozpluggerrc
 SOURCE_FILES=mozplugger.c mozplugger-common.c mozplugger-helper.c mozplugger.spec.in \
@@ -137,19 +137,22 @@
 	-rm *.so *~ core mozplugger
 	-rm -rf rpmtmp
 
-localinstall:
-	-@mkdir $$HOME/.mozilla/plugins 1>/dev/null 2>&1 || :
-	cp mozplugger.so $$HOME/.mozilla/plugins/
-	cp mozplugger-helper $$HOME/.mozilla/
-	cp mozplugger-controller $$HOME/.mozilla/
-	if [ ! $$HOME/.mozilla/mozpluggerrc ]; then cp mozpluggerrc $$HOME/.mozilla/mozpluggerrc ; fi
+localinstall: mozplugger.so mozplugger-helper mozplugger-controller
+	-@mkdir -p $$HOME/$(BROWSERDIR)/plugins
+	cp mozplugger.so $$HOME/$(BROWSERDIR)/plugins/
+	cp mozplugger-helper $$HOME/$(BROWSERDIR)/
+	cp mozplugger-controller $$HOME/$(BROWSERDIR)/
+	if [ -f $$HOME/$(BROWSERDIR)/mozpluggerrc ]; then mv $$HOME/$(BROWSERDIR)/mozpluggerrc $$HOME/$(BROWSERDIR)/mozpluggerrc.old; fi
+	cp mozpluggerrc $$HOME/$(BROWSERDIR)/
+
+localinstall_mozilla:
+	make localinstall BROWSERDIR=.mozilla
+
+localinstall_netscape:
+	make localinstall BROWSERDIR=.netscape
 
 localinstall_opera:
-	-@mkdir $$HOME/.opera/plugins 1>/dev/null 2>&1 || :
-	cp mozplugger.so $$HOME/.opera/plugins/
-	cp mozplugger-helper  $$HOME/.opera/
-	cp mozplugger-controller $$HOME/.opera/
-	if [ ! $$HOME/.opera/mozpluggerrc-$(VERSION) ]; then cp mozpluggerrc $$HOME/.opera/mozpluggerrc-$(VERSION) ; fi
+	make localinstall BROWSERDIR=.opera
 
 install:
 	-@mkdir -p $(root)$(prefix)/bin

## mozplugger 1.10.1

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,10 @@
 CC=gcc
 LD=gcc
 BINFORMAT=bin
+
+#Debug or not debug build
+BUILD=NODEBUG
+#BUILD=DEBUG
 
 any:
 	@echo 'Choose target:'
@@ -31,6 +35,8 @@
 	@echo '   ${MAKE} aix          - for AIX >= 4.2'
 	@echo '   ${MAKE} freebsd      - for FreeBSD 4.x'
 	@echo '   ${MAKE} openbsd      - for OpenBSD'
+	@echo '   ${MAKE} xx BUILD=DEBUG  - for xx with debug'
+	@echo 'Always run $(MAKE) clean first when switching target type'
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -42,16 +48,16 @@
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-b X11=/usr/include/X11R6
 
 hp-cc:
-	${MAKE} all CC=cc XCFLAGS='+DAportable -Ae +z' LD=ld XLDFLAGS='-b +e NP_GetValue +e NP_Initialize +e NP_Shutdown +e NP_GetMIMEDescription' RPM_OPT_FLAGS=+O2 NORM_CFLAGS="" X11=/usr/include/X11R6
+	${MAKE} all CC=cc XCFLAGS='+DAportable -Ae +z' LD=ld XLDFLAGS='-b +e NP_GetValue +e NP_Initialize +e NP_Shutdown +e NP_GetMIMEDescription' RPM_OPT_FLAGS=+O2  X11=/usr/include/X11R6
 
 linux:
-	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=gcc XLDFLAGS=-shared
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -Wall' LD=gcc XLDFLAGS=-shared
 
 solaris-gcc:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS=-G XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
 
 solaris-cc:
-	${MAKE} all CC=cc LD=ld XLDFLAGS=-G  XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
+	${MAKE} all CC=cc XCFLAGS=-Kpic RPM_OPT_FLAGS=-O LD=ld XLDFLAGS=-G  XLIBS='-lX11 -lsocket -lnsl' X11=/usr/openwin/
 
 du:
 	${MAKE} all CC=cc LD=ld XLDFLAGS='-expect_unresolved "*" -shared -msym -O3'
@@ -68,7 +74,7 @@
 auto:
 	@case "x`uname`" in \
 	  xLinux) ${MAKE} linux ;; \
-	  xSunOS) ${MAKE} solaris ;; \
+	  xSunOS) ${MAKE} solaris-gcc ;; \
 	  xHP-UX) ${MAKE} hp-gcc ;; \
 	  xOSF1) ${MAKE} du ;; \
 	  xIRIX) ${MAKE} irix ;; \
@@ -84,18 +90,31 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.7.1
-
-BASE_FILES=Makefile mozplugger.7.bz2 README COPYING mozpluggerrc
-SOURCE_FILES=mozplugger.c mozplugger-common.c mozplugger-helper.c mozplugger.spec.in \
-	     mozplugger-common.c mozplugger.h README.in
-BIN_FILES=mozplugger.so mozplugger-helper
-
-DEFINES=$(STREAM) -DVERSION=\"$(VERSION)\" -Wall #-DDEBUG #-D__amd64__
+VERSION=1.10.1
+
+BASE_FILES=Makefile \
+	   mozplugger.7 \
+	   README \
+	   COPYING \
+	   mozpluggerrc
+
+SOURCE_FILES=mozplugger.c \
+	     mozplugger-common.c \
+	     mozplugger-helper.c \
+	     mozplugger.spec \
+	     mozplugger-common.c \
+	     mozplugger.h 
+
+BIN_FILES=mozplugger.so \
+	  mozplugger-helper \
+	  mozplugger-controller
+
+DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
+INCLUDES= -Inpapi/include -I$(X11)/include
 RPM_OPT_FLAGS=-O2
-COMMON_CFLAGS=$(RPM_OPT_FLAGS) -Inpapi/include -I$(X11)/include -DXP_UNIX $(DEFINES)
+COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
 COMMON_LDFLAGS=
-NORM_CFLAGS=
+
 NORM_LDFLAGS=
 XCFLAGS=-shared
 XLDFLAGS=-shared
@@ -103,28 +122,28 @@
 XLIBS=-lX11 -L$(XLIBDIR)
 
 LDSHARED=$(LD) $(XLDFLAGS)
-CFLAGS = $(COMMON_CFLAGS) $(NORM_CFLAGS)
 LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
-SHARED_CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
+CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
 all: mozplugger.so mozplugger-helper mozplugger-controller
 
 mozplugger-helper: mozplugger-helper.o mozplugger-common.o
 	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS)
 
-mozplugger-helper.o: mozplugger.h
-
-mozplugger.so: mozplugger.o stub.o mozplugger-common.o
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
+
+mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
 	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o
 
-mozplugger-common.o: mozplugger-common.c mozplugger.h
-	$(CC) -c $(SHARED_CFLAGS) -o mozplugger-common.o mozplugger-common.c
-
-mozplugger.o: mozplugger.c mozplugger.h
-	$(CC) -c $(SHARED_CFLAGS) -o mozplugger.o mozplugger.c
+mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
+
+mozplugger.o: mozplugger.c mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger.o mozplugger.c
 
 stub.o: npapi/common/npunix.c
-	$(CC) -c $(SHARED_CFLAGS) -o stub.o npapi/common/npunix.c
+	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
 
 mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
 	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS)
@@ -163,7 +182,7 @@
 	cp mozplugger-controller $(root)$(prefix)/bin/
 	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
-	cp mozplugger.7.bz2 $(root)$(prefix)/share/man/man7/
+	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
 
 mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
 	@( DIR=`pwd`;\
@@ -184,12 +203,6 @@
 
 echo_version:
 	@echo $(VERSION)
-
-mozplugger.spec: mozplugger.spec.in Makefile
-	sed <mozplugger.spec.in >mozplugger.spec -e 's/@VERSION@/$(VERSION)/g'
-
-README: README.in Makefile
-	sed <README.in >README -e 's/@VERSION@/$(VERSION)/g'
 
 rpm: $(RPMDIR)/SOURCES/mozplugger.tar.gz ./mozplugger.spec
 	rm -rf rpmtmp ||:

## mozplugger 1.10.2

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.10.1
+VERSION=1.10.2
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \

## mozplugger 1.12.0

=== Makefile ===
--- 
+++ 
@@ -35,8 +35,12 @@
 	@echo '   ${MAKE} aix          - for AIX >= 4.2'
 	@echo '   ${MAKE} freebsd      - for FreeBSD 4.x'
 	@echo '   ${MAKE} openbsd      - for OpenBSD'
+	@echo '   ${MAKE} linux-gcov   - for linux with coverage/profiling'
 	@echo '   ${MAKE} xx BUILD=DEBUG  - for xx with debug'
 	@echo 'Always run $(MAKE) clean first when switching target type'
+
+linux-gcov:
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -90,7 +94,7 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.10.2
+VERSION=1.12.0
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -107,11 +111,12 @@
 
 BIN_FILES=mozplugger.so \
 	  mozplugger-helper \
-	  mozplugger-controller
+	  mozplugger-controller \
+	  mozplugger-linker
 
 DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
 INCLUDES= -Inpapi/include -I$(X11)/include
-RPM_OPT_FLAGS=-O2
+RPM_OPT_FLAGS ?= -O2
 COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
 COMMON_LDFLAGS=
 
@@ -120,21 +125,22 @@
 XLDFLAGS=-shared
 XLIBDIR = $(X11)/lib
 XLIBS=-lX11 -L$(XLIBDIR)
+EXTRA_LIBS=
 
 LDSHARED=$(LD) $(XLDFLAGS)
 LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
 CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
-all: mozplugger.so mozplugger-helper mozplugger-controller
+all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
 mozplugger-helper: mozplugger-helper.o mozplugger-common.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS)
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS) $(EXTRA_LIBS)
 
 mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
 mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -146,21 +152,25 @@
 	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
 
 mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS)
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
 
 clean:
 	-rm -f *.o npapi/common/*.o
-	-rm -f mozplugger-helper mozplugger-controller mozplugger.so
+	-rm -f mozplugger-helper mozplugger-controller mozplugger-linker mozplugger.so
 
 spotless: clean
 	-rm *.so *~ core mozplugger
 	-rm -rf rpmtmp
 
-localinstall: mozplugger.so mozplugger-helper mozplugger-controller
+localinstall: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 	-@mkdir -p $$HOME/$(BROWSERDIR)/plugins
 	cp mozplugger.so $$HOME/$(BROWSERDIR)/plugins/
 	cp mozplugger-helper $$HOME/$(BROWSERDIR)/
 	cp mozplugger-controller $$HOME/$(BROWSERDIR)/
+	cp mozplugger-linker $$HOME/$(BROWSERDIR)/
 	if [ -f $$HOME/$(BROWSERDIR)/mozpluggerrc ]; then mv $$HOME/$(BROWSERDIR)/mozpluggerrc $$HOME/$(BROWSERDIR)/mozpluggerrc.old; fi
 	cp mozpluggerrc $$HOME/$(BROWSERDIR)/
 
@@ -180,6 +190,7 @@
 	-@mkdir -p $(root)/etc
 	cp mozplugger-helper $(root)$(prefix)/bin/
 	cp mozplugger-controller $(root)$(prefix)/bin/
+	cp mozplugger-linker $(root)$(prefix)/bin/
 	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
 	cp mozplugger.7 $(root)$(prefix)/share/man/man7/

## mozplugger 1.12.1

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,8 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.12.0
+VERSION=1.12.1
+#VERSION=CVS-2009-04-10
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \

## mozplugger 1.13.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,10 @@
 #
 # For installing
 prefix=/usr
+
+# On 64 bit arch change libprefix to lib64
+libprefix=/lib
+#libprefix=/lib64
 
 #
 #
@@ -40,7 +44,7 @@
 	@echo 'Always run $(MAKE) clean first when switching target type'
 
 linux-gcov:
-	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
+	${MAKE} all CC=gcc XCFLAGS='-fPIC -g -fprofile-arcs -ftest-coverage -fstack-protector-all -Wall' LD=gcc XLDFLAGS=-shared EXTRA_LIBS=-lgcov
 
 irix:
 	${MAKE} all CC=gcc XCFLAGS=-fPIC LD=ld XLDFLAGS='-shared -n32'
@@ -94,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-VERSION=1.12.1
-#VERSION=CVS-2009-04-10
+#VERSION=CVS-2010-04-17
+VERSION=1.13.3
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -107,7 +111,7 @@
 	     mozplugger-common.c \
 	     mozplugger-helper.c \
 	     mozplugger.spec \
-	     mozplugger-common.c \
+	     child.c \
 	     mozplugger.h 
 
 BIN_FILES=mozplugger.so \
@@ -124,7 +128,7 @@
 NORM_LDFLAGS=
 XCFLAGS=-shared
 XLDFLAGS=-shared
-XLIBDIR = $(X11)/lib
+XLIBDIR = $(X11)$(libprefix)
 XLIBS=-lX11 -L$(XLIBDIR)
 EXTRA_LIBS=
 
@@ -134,14 +138,14 @@
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
-mozplugger-helper: mozplugger-helper.o mozplugger-common.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-helper.o: mozplugger-helper.c mozplugger.h Makefile
+mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
-mozplugger.so: mozplugger.o stub.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o stub.o $(EXTRA_LIBS)
+mozplugger.so: mozplugger.o npunix.o mozplugger-common.o Makefile
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -149,15 +153,20 @@
 mozplugger.o: mozplugger.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger.o mozplugger.c
 
-stub.o: npapi/common/npunix.c
-	$(CC) -c $(CFLAGS) -o stub.o npapi/common/npunix.c
-
-mozplugger-controller: mozplugger-controller.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c
-	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
+npunix.o: npapi/common/npunix.c
+	$(CC) -c $(CFLAGS) -o npunix.o npapi/common/npunix.c
+
+mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
+
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h Makefile
+	$(CC) -c $(CFLAGS) -o mozplugger-linker.o mozplugger-linker.c
 clean:
 	-rm -f *.o npapi/common/*.o
 	-rm -f mozplugger-helper mozplugger-controller mozplugger-linker mozplugger.so
@@ -186,13 +195,13 @@
 
 install:
 	-@mkdir -p $(root)$(prefix)/bin
-	-@mkdir -p $(root)$(prefix)/lib/mozilla/plugins
+	-@mkdir -p $(root)$(prefix)$(libprefix)/mozilla/plugins
 	-@mkdir -p $(root)$(prefix)/share/man/man7
 	-@mkdir -p $(root)/etc
 	cp mozplugger-helper $(root)$(prefix)/bin/
 	cp mozplugger-controller $(root)$(prefix)/bin/
 	cp mozplugger-linker $(root)$(prefix)/bin/
-	cp mozplugger.so $(root)$(prefix)/lib/mozilla/plugins/
+	cp mozplugger.so $(root)$(prefix)$(libprefix)/mozilla/plugins/
 	cp mozpluggerrc $(root)/etc/
 	cp mozplugger.7 $(root)$(prefix)/share/man/man7/

## mozplugger 1.14.1

=== Makefile ===
--- 
+++ 
@@ -98,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-04-17
-VERSION=1.13.3
+#VERSION=CVS-2010-07-23
+VERSION=1.14.1
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -112,6 +112,7 @@
 	     mozplugger-helper.c \
 	     mozplugger.spec \
 	     child.c \
+	     debug.c \
 	     mozplugger.h 
 
 BIN_FILES=mozplugger.so \
@@ -138,14 +139,14 @@
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
 
-mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o
-	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h Makefile
+mozplugger-helper: mozplugger-helper.o mozplugger-common.o child.o debug.o
+	$(CC) $(LDFLAGS) -o mozplugger-helper mozplugger-helper.o mozplugger-common.o child.o debug.o $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-helper.o: mozplugger-helper.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-helper.o mozplugger-helper.c
 
-mozplugger.so: mozplugger.o npunix.o mozplugger-common.o Makefile
-	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o $(EXTRA_LIBS)
+mozplugger.so: mozplugger.o npunix.o mozplugger-common.o debug.o Makefile
+	$(LDSHARED) $(LDFLAGS) -o mozplugger.so mozplugger.o mozplugger-common.o npunix.o debug.o $(EXTRA_LIBS)
 
 mozplugger-common.o: mozplugger-common.c mozplugger.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-common.o mozplugger-common.c
@@ -156,16 +157,22 @@
 npunix.o: npapi/common/npunix.c
 	$(CC) -c $(CFLAGS) -o npunix.o npapi/common/npunix.c
 
-mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o
-	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h Makefile
+child.o: child.c child.h debug.h mozplugger.h Makefile
+	$(CC) -c $(CFLAGS) -o child.o child.c
+
+debug.o: debug.c debug.h Makefile
+	$(CC) -c $(CFLAGS) -o debug.o debug.c
+
+mozplugger-controller: mozplugger-controller.o mozplugger-common.o child.o debug.o
+	$(CC) -o mozplugger-controller mozplugger-controller.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
 
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o
-	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
-
-mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h Makefile
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o debug.o
+	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
+
+mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-linker.o mozplugger-linker.c
 clean:
 	-rm -f *.o npapi/common/*.o

=== debian/changelog ===
mozplugger (1.14.1-2~exp3ubuntu1) maverick; urgency=low

  * Great news: this works with Chromium browser!
  * Merge with Debian experimental, remaining changes:
    - Replace ice{weasel,ape} with firefox,xulrunner-addons in
      debian/mozplugger.links file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 13 Sep 2010 13:04:08 +0200

mozplugger (1.14.1-2~exp3) experimental; urgency=low

  * Add Chromium browser support in mozpluggerrc (Closes: #582176).
  * Re-introduce epiphany in the Depends field.
  * Add chromium-browser to Depends field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 13 Sep 2010 12:52:13 +0200

mozplugger (1.14.1-2~exp2) experimental; urgency=low

  * Mozplugger seems ignoring needs_xembed flag; attempt to make it able
    to work with Chromium browser.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Sep 2010 11:45:37 +0200

mozplugger (1.14.1-2~exp1) experimental; urgency=low

  * debian/patches/02-mozpluggerrc.patch:
    - Try to embed Evince (Closes: #588833).
    - Remove kdpf since it is no longer available (LP: #303623).

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Sep 2010 11:15:14 +0200

mozplugger (1.14.1-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Don't store temporary files in $HOME (Closes: #588130).
    - Use NPP_StreamAsFile with webkit based browsers.
    - Embedded objects now have a property called "isPlaying", which
      return true if the application is running, false otherwise.
  * Merge Ubuntu changelog entries.
  * Update Standards to 3.9.1.
  * Update watch file.
  * Refresh debian/patches/01-manpages.patch patch.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Sep 2010 10:34:08 +0200

mozplugger (1.14.0-2ubuntu1) maverick; urgency=low

  * Merge with debian unstable, remaining changes:
    - debian/mozplugger.links: Replace ice{weasel,ape} with
      firefox,xulrunner-addons.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 27 Jun 2010 19:36:04 +0200

mozplugger (1.14.0-2) unstable; urgency=low

  * Add debian/source/format file.
  * Switch to format 3.0 (quilt).
  * Bump priority of firefox up, it should come just after iceweasel.
  * Add .gitignore file.
  * Add debian/gbp.conf file.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Jun 2010 16:28:00 +0200

mozplugger (1.14.0-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - debian/mozplugger.links: Replace ice{weasel,ape} with
      firefox,xulrunner-addons.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 17 Jun 2010 22:21:02 +0200

mozplugger (1.14.0-1) unstable; urgency=low

  * Merge Ubuntu changelog entries.
  * New upstream release.
  * Change my mail address.
  * Refresh patches.
  * Remove final blank line from the description.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 Jun 2010 09:58:58 +0200

mozplugger (1.13.3-1ubuntu1) lucid; urgency=low

  * Merge from debian unstable, Ubuntu remaining changes:
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.
    - This closes LP: #439540.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 10:47:53 +0200

mozplugger (1.13.3-1) unstable; urgency=low

  * New upstream release:
    - Fixes upstream bug #22723 (Closes: #519832).
  * Refresh 01-manpages.patch and add more patches.
  * Add README.source to document howto patch the sources.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 17 Apr 2010 01:15:53 +0200

mozplugger (1.13.2-2) unstable; urgency=low

  * Add xulrunner-1.9.{1,2} support (Closes: #575532).
  * Don't depend on epiphany-browser, see bug #566857.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 15 Apr 2010 19:09:23 +0200

mozplugger (1.13.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing (LP: #553855).  Remaining changes:
    - debian/control: 
      + Bump xulrunner depends to xulrunner-1.9.2 (LP: #553850)
      + Remove epiphany-browser from Suggests field, see Debian bug #566857 for
        more information.
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 02 Apr 2010 12:03:28 -0500

mozplugger (1.13.2-1) unstable; urgency=low

  * New upstream release:
    - Fix upstream's #22440 bug introduced by 1.13.1.
  * Bump Standards.
  * Switch to quilt.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 20 Feb 2010 01:27:43 +0100

mozplugger (1.13.1-1ubuntu1) lucid; urgency=low

  * Merge from debian, remaining changes:
    - debian/mozplugger.links:
      + Replace ice{weasel,ape} with firefox,xulrunner-addons.
  * Remove epiphany-browser from Suggests field, see Debian bug #566857 for
    more information.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 28 Jan 2010 14:19:10 +0100

mozplugger (1.13.1-1) unstable; urgency=low

  * New upstream release 1.13.1.
  * Refresh patches.
  * Update Vcs-* fields, the packaging has been moved to Git.
  * The previous upload closed the wrong ITA bug: Closes: #557588.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 27 Jan 2010 11:57:50 +0100

mozplugger (1.13.0-2) unstable; urgency=low

  * Adopting this (Closes: #557558).
  * debian/control:
    - Bump Stanadards-Versions.
    - Add ${misc:Depends} macro to the Depends field.
    - Remove XS- prefix from Vcs-* fields.
    - Allow uploads by Debian Maintainers.
    - Append firefox | abrowser to the Depends field value.
  * debian/copyright:
    - Fix copyright-refers-to-versionless-license-file.
  * Link usr/share/man/man1/mozplugger-controller.1.gz to
    usr/share/man/man1/mozplugger-linker.1.gz.
  * debian/patches/01-manpages.patch:
    - Fix errors in mozplugger.7 manpage.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 14 Jan 2010 08:45:43 +0100

mozplugger (1.13.0-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, Ubuntu remaining changes:
    - debian/control:


=== debian/control ===
Source: mozplugger
Section: web
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Standards-Version: 3.9.1
Build-Depends: cdbs,
 debhelper (>= 5.0.0),
 libx11-dev,
 libxt-dev,
 x11proto-core-dev
Vcs-Git: git://git.debian.org/collab-maint/mozplugger.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mozplugger.git
Homepage: http://mozplugger.mozdev.org

Package: mozplugger
Architecture: any
Depends: m4,
 ${shlibs:Depends},
 iceweasel |
 iceape-browser |
 firefox |
 abrowser |
 galeon |
 konqueror |
 opera |
 epiphany |
 chromium-browser |
 xulrunner-1.9 |
 xulrunner-1.9.1 |
 xulrunner-1.9.2,
 ${misc:Depends}
Description: Plugin allowing external viewers to be launched inside Mozilla
 mozplugger allows you to seamlessly integrate external applications
 to view files downloaded from the web that Mozilla can not normally
 handle. The application is embedded within a Mozilla window as to act
 like and feel like a true plugin.
 .
 This allows you to view PDFs, Postscript files, animations and
 movies, amongst other file types all from within Mozilla (with
 supporting applications).

## mozplugger 1.14.2

=== Makefile ===
--- 
+++ 
@@ -98,8 +98,8 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-07-23
-VERSION=1.14.1
+#VERSION=CVS-2010-09-09
+VERSION=1.14.2
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \

=== debian/changelog ===
mozplugger (1.14.2-1ubuntu1) natty; urgency=low

  * Merge from debian experimental, Ubuntu remaining changes:
    - Replace ice{weasel,ape} with firefox,xulrunner-addons in
      debian/mozplugger.links file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 16 Oct 2010 12:06:10 +0200

mozplugger (1.14.2-1) experimental; urgency=low

  * New upstream release.
  * Drop debian/patches/03-honor_needs_xembed.patch, applied upstream.
  * Refresh debian/patches/01-manpages.patch patch.
  * Add local-options file into debian/source/.

 -- Alessio Treglia <alessio@debian.org>  Wed, 22 Sep 2010 16:23:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
 Standards-Version: 3.9.1
 Build-Depends: cdbs,
  debhelper (>= 5.0.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_INVOKE := $(DEB_MAKE_ENVVARS) $(MAKE)
DEB_MAKE_BUILD_TARGET := linux
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/mozplugger/

DEB_INSTALL_MANPAGES_mozplugger := \
	debian/mozplugger-controller.1 \
	debian/mozplugger-helper.1

=== debian/watch ===
version=3
http://mozplugger.mozdev.org/ .*/mozplugger-(.*)\.tar\.gz

## mozplugger 1.14.3

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 #
 # For installing
 prefix=/usr
+sysconfdir=/etc
+exec_prefix=
 
 # On 64 bit arch change libprefix to lib64
 libprefix=/lib
@@ -27,6 +29,7 @@
 #BUILD=DEBUG
 
 any:
+	@echo 'This Makefile is deprecated, but still works see README'
 	@echo 'Choose target:'
 	@echo '   ${MAKE} linux        - for Linux'
 	@echo '   ${MAKE} solaris-gcc  - for Solaris with gcc'
@@ -98,8 +101,7 @@
 # No user servicable parts beyond this point
 # 
 
-#VERSION=CVS-2010-09-09
-VERSION=1.14.2
+VERSION=1.14.3
 
 BASE_FILES=Makefile \
 	   mozplugger.7 \
@@ -120,13 +122,11 @@
 	  mozplugger-controller \
 	  mozplugger-linker
 
-DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) #-D__amd64__
+DEFINES= -DXP_UNIX -DVERSION=\"$(VERSION)\" -D$(BUILD) -DSYSCONFDIR=\"${sysconfdir}\" #-D__amd64__
 INCLUDES= -Inpapi/include -I$(X11)/include
 RPM_OPT_FLAGS ?= -O2
 COMMON_CFLAGS=$(RPM_OPT_FLAGS) $(INCLUDES) $(DEFINES)
-COMMON_LDFLAGS=
-
-NORM_LDFLAGS=
+
 XCFLAGS=-shared
 XLDFLAGS=-shared
 XLIBDIR = $(X11)$(libprefix)
@@ -134,7 +134,7 @@
 EXTRA_LIBS=
 
 LDSHARED=$(LD) $(XLDFLAGS)
-LDFLAGS=$(COMMON_LDFLAGS) $(NORM_LDFLAGS)
+LDFLAGS= 
 CFLAGS=$(COMMON_CFLAGS) $(XCFLAGS)
 
 all: mozplugger.so mozplugger-helper mozplugger-controller mozplugger-linker
@@ -169,7 +169,7 @@
 mozplugger-controller.o: mozplugger-controller.c mozplugger.h child.h debug.h Makefile
 	$(CC) -c $(CFLAGS) -o mozplugger-controller.o mozplugger-controller.c
 
-mozplugger-linker: mozplugger-linker.o mozplugger-common.o mozplugger-common.c child.o debug.o
+mozplugger-linker: mozplugger-linker.o mozplugger-common.o child.o debug.o
 	$(CC) -o mozplugger-linker mozplugger-linker.o mozplugger-common.o child.o debug.o $(LDFLAGS) $(XLIBS) $(EXTRA_LIBS)
 
 mozplugger-linker.o: mozplugger-linker.c mozplugger.h child.h debug.h Makefile
@@ -201,16 +201,16 @@
 	make localinstall BROWSERDIR=.opera
 
 install:
-	-@mkdir -p $(root)$(prefix)/bin
-	-@mkdir -p $(root)$(prefix)$(libprefix)/mozilla/plugins
-	-@mkdir -p $(root)$(prefix)/share/man/man7
-	-@mkdir -p $(root)/etc
-	cp mozplugger-helper $(root)$(prefix)/bin/
-	cp mozplugger-controller $(root)$(prefix)/bin/
-	cp mozplugger-linker $(root)$(prefix)/bin/
-	cp mozplugger.so $(root)$(prefix)$(libprefix)/mozilla/plugins/
-	cp mozpluggerrc $(root)/etc/
-	cp mozplugger.7 $(root)$(prefix)/share/man/man7/
+	-@mkdir -p $(exec_prefix)/bin
+	-@mkdir -p $(prefix)$(libprefix)/mozilla/plugins
+	-@mkdir -p $(exec_prefix)/share/man/man7
+	-@mkdir -p ${sysconfdir}
+	cp mozplugger-helper $(exec_prefix)/bin/
+	cp mozplugger-controller $(exec_prefix)/bin/
+	cp mozplugger-linker $(exec_prefix)/bin/
+	cp mozplugger.so $(prefix)$(libprefix)/mozilla/plugins/
+	cp mozpluggerrc ${sysconfdir}/
+	cp mozplugger.7 $(exec_prefix)/share/man/man7/
 
 mozplugger.tar.gz: $(BASE_FILES) $(SOURCE_FILES)
 	@( DIR=`pwd`;\

=== debian/changelog ===
mozplugger (1.14.3-5) unstable; urgency=low

  * Install mozplugger in /usr/lib/mozilla/plugins/ only (Closes: #638459)
    Thanks to Gabriele Giacone for the report.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Aug 2011 09:40:01 +0200

mozplugger (1.14.3-4) unstable; urgency=low

  * Fix small typo in debian/control which causes mozplugger to install
    redundant dependencies (Closes: #635678).

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 12:55:03 +0200

mozplugger (1.14.3-3) unstable; urgency=low

  * Update chromium packages' names.
  * Reintroduce a Suggests list (Closes: #466183).
  * Remove -Od from timidity command line (LP: #796869).

 -- Alessio Treglia <alessio@debian.org>  Sun, 10 Jul 2011 10:50:35 +0200

mozplugger (1.14.3-2) unstable; urgency=low

  * Fix path of /usr/lib/xscreensaver/molecule (Closes: #617292).
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 13:33:08 +0200

mozplugger (1.14.3-1) unstable; urgency=low

  * Imported Upstream version 1.14.3, fixes upstream bugs:
    - 23735: Add option to configure.ac to allow build with
      needs_xembed always true
    - 23734: Use autoconf to reduce complexity of supporting
      different builds
    - 23733: mozplugger rejects URLS that contains semicolons.
    - 23732: When creating temporary file no check is made for
      bad characters.
  * debian/rules:
    - Don't use the legacy /usr/lib/{firefox,xulrunner-addons}
      locations on Ubuntu.
  * debian/clean:
    - Clean debian/mozplugger.links, remove override_dh_auto_clean
      from debian/rules.
  * debian/control:
    - Add xulrunner-2.0 support.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 06 Mar 2011 09:03:33 +0100

mozplugger (1.14.2-5) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 19:11:57 +0100

mozplugger (1.14.2-4) experimental; urgency=low

  * Build with -DDEBUG.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Jan 2011 11:14:39 +0100

mozplugger (1.14.2-3) experimental; urgency=low

  * Add rekonq to the supported browsers list (LP: #682241).

 -- Alessio Treglia <alessio@debian.org>  Sun, 28 Nov 2010 10:36:45 +0100

mozplugger (1.14.2-2) experimental; urgency=low

  * Fix evince behavior when opening PostScript files.
  * Provide an update-mozpluggerrc script to regenerate
    /etc/mozpluggerrc from the contents of the directory
    /etc/mozpluggerrc.d/ (Closes: #275766).
  * Handle the removal of the old conffile.
  * Pre-Depends on dpkg (>= 1.15.7.2).
  * Drop CDBS, switch to DH 7 short-form.
  * Generate debian/mozplugger.links file depending on the distribution
    on which the package is built. This reduces the delta to 0.
  * debian/00Makefile.patch:
    - Don't install mozpluggerrc.
    - Add header DEP-3 compliant.
  * Merge Ubuntu changelog entries.
  * Add NEWS.Debian file.

 -- Alessio Treglia <alessio@debian.org>  Wed, 24 Nov 2010 15:46:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: cdbs,
- debhelper (>= 5.0.0),
+Maintainer: Alessio Treglia <alessio@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~),
  libx11-dev,
  libxt-dev,
  x11proto-core-dev
@@ -15,6 +13,7 @@
 
 Package: mozplugger
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: m4,
  ${shlibs:Depends},
  iceweasel |
@@ -22,14 +21,42 @@
  firefox |
  abrowser |
  galeon |
+ rekonq |
  konqueror |
  opera |
  epiphany |
+ chromium (>> 10.0.648.114~r75702-1~) |
  chromium-browser |
  xulrunner-1.9 |
  xulrunner-1.9.1 |
- xulrunner-1.9.2,
+ xulrunner-1.9.2 |
+ xulrunner-2.0,
  ${misc:Depends}
+Suggests: bplay,
+ mikmod,
+ mpg123,
+ mpg321,
+ mplayer | mplayer2,
+ vorbis-tools,
+ sox,
+ playmidi,
+ sidplay-base,
+ splay,
+ timidity,
+ xcdroast,
+ xine-ui,
+ xmp,
+ libreoffice-common,
+ gqview,
+ qiv,
+ imagemagick,
+ evince | evince-gtk,
+ xpdf,
+ texlive-base,
+ abiword-common,
+ gnumeric,
+ rasmol,
+ xscreensaver-gl
 Description: Plugin allowing external viewers to be launched inside Mozilla
  mozplugger allows you to seamlessly integrate external applications
  to view files downloaded from the web that Mozilla can not normally

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smakefile

override_dh_auto_build:
	dh_auto_build -- linux BUILD=DEBUG

## mozplugger 1.14.5

=== debian/changelog ===
mozplugger (1.14.5-3~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add palemoon and palemoon-nonsse2 as alternate depends.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Feb 2018 14:18:18 -0800

mozplugger (1.14.5-2) unstable; urgency=low

  * QA upload.
  * Orphaning this.

 -- Alessio <alessio@debian.org>  Fri, 16 Aug 2013 09:30:19 +0100

mozplugger (1.14.5-1) unstable; urgency=low

  * New upstream release.
  * Remove 11-processes_left_behind.patch, was applied upstream.
  * Refresh patches.
  * Update debian/rules, upstream replaced the pure Makefile-based
    buildsystem with autoconf.
  * debian/mozpluger.install:
    - Install mozplugger.so by hand, the buildsystem is buggy.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 21 May 2012 02:37:00 +0200

mozplugger (1.14.3-7) unstable; urgency=low

  * Don't leave processes in background after they've become unnecessary.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 11:34:57 +0100

mozplugger (1.14.3-6) unstable; urgency=low

  * Turn off DEBUG mode (Closes: #619223).

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Nov 2011 01:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: mozplugger
 Section: web
 Priority: optional
-Maintainer: Alessio Treglia <alessio@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7),
  libx11-dev,
  libxt-dev,
  x11proto-core-dev
@@ -30,7 +32,9 @@
  xulrunner-1.9 |
  xulrunner-1.9.1 |
  xulrunner-1.9.2 |
- xulrunner-2.0,
+ xulrunner-2.0 |
+ palemoon |
+ palemoon-nonsse2,
  ${misc:Depends}
 Suggests: bplay,
  mikmod,
